void printc(char val);

int main()
{
  char i, j, val;

  for (i = -2; i < 3; i++)
    for (j = -2; j < 3; j++) {
      val  = i; printc(val);
      val &= j; printc(val);
      val  = i; printc(val);
      val |= j; printc(val);
      val  = i; printc(val);
      val ^= j; printc(val);
    }

  return 0;
}
